import { IThemePreset } from "./contracts";
export declare const getBaseTokenDefinitions: (assetBaseUrl: string, themePreset?: IThemePreset | undefined) => {
    "@font-face": {
        "font-family": string;
        src: string;
    };
    ":root": {
        "--inputfield-label-font": string;
        "--inputfield-container-font-placeholder": string;
        "--inputfield-container-font-input": string;
        "--inputfield-container-font-error": string;
        "--tooltip-overlay-font-heading": string;
        "--tooltip-overlay-font-body": string;
        "--button-primary-font-label": string;
        "--dcc-radio-button-font": string;
        "--dcc-options-label-font": string;
        "--dcc-options-font-exchange-rate": string;
        "--other-method-divider-font": string;
        "--inputfield-label-weight-text": string;
        "--dcc-options-label-weight-text": string;
        "--button-primary-weight-label-text": string;
        "--dcc-radio-button-weight-text-label": string;
        "--inputfield-container-weight-text-placeholder": string;
        "--inputfield-container-weight-text-input": string;
        "--inputfield-container-weight-text-error": string;
        "--other-method-divider-weight-text": string;
        "--dropin-ui-body-color-background": string;
        "--dropin-ui-body-padding-top": string;
        "--dropin-ui-body-padding-bottom": string;
        "--dropin-ui-body-padding-left": string;
        "--dropin-ui-body-padding-right": string;
        "--inputfield-label-color-text": string;
        "--inputfield-container-color-border-focus": string;
        "--inputfield-container-color-border-hover": string;
        "--inputfield-tooltip-color-border-hover": string;
        "--inputfield-tooltip-color-focus-indicator-focus": string;
        "--general-tooltip-color-border-hover": string;
        "--general-tooltip-color-focus-indicator-focus": string;
        "--inputfield-tooltip-color-border-focus": string;
        "--inputfield-container-color-border-error": string;
        "--inputfield-container-color-text-error": string;
        "--inputfield-container-color-text-input": string;
        "--dcc-options-label-color-text": string;
        "--dcc-options-color-text-exchange-rate": string;
        "--dcc-radio-button-color-text-default": string;
        "--dcc-radio-button-color-text-hover": string;
        "--dcc-radio-button-color-text-focus": string;
        "--tooltip-overlay-color-background": string;
        "--inputfield-container-color-border-default": string;
        "--inputfield-container-color-text-placeholder": string;
        "--inputfield-tooltip-color-border-default": string;
        "--dcc-radio-button-color-border-default": string;
        "--dcc-radio-button-color-border-hover": string;
        "--dcc-radio-button-color-focus-indicator-focus": string;
        "--dcc-radio-button-color-border-focus": string;
        "--dcc-radio-button-color-border-selected": string;
        "--dcc-radio-button-color-background-selected": string;
        "--dcc-radio-button-color-icon-selected": string;
        "--dcc-radio-button-color-text-selected": string;
        "--button-primary-color-background-default": string;
        "--button-primary-color-background-focus": string;
        "--button-primary-color-text-default": string;
        "--button-primary-color-text-hover": string;
        "--button-primary-color-text-focus": string;
        "--button-primary-color-background-hover": string;
        "--button-primary-color-focus-indicator-focus": string;
        "--dropin-ui-body-radius-bottom-left": string;
        "--dropin-ui-body-radius-bottom-right": string;
        "--dropin-ui-body-radius-top-left": string;
        "--dropin-ui-body-radius-top-right": string;
        "--button-primary-radius-top-left": string;
        "--button-primary-radius-top-right": string;
        "--button-primary-radius-bottom-left": string;
        "--button-primary-radius-bottom-right": string;
        "--button-primary-size-text": string;
        "--other-method-divider-size-text": string;
        "--inputfield-label-size-text": string;
        "--inputfield-container-size-text-placeholder": string;
        "--inputfield-container-size-text-input": string;
        "--tooltip-overlay-size-text-heading": string;
        "--tooltip-overlay-size-text-body": string;
        "--inputfield-container-size-text-error": string;
        "--dcc-options-label-size-text": string;
        "--dcc-radio-button-size-text": string;
        "--dcc-options-size-text-exchange-rate": string;
        "--tooltip-overlay-color-text-heading": string;
        "--tooltip-overlay-color-text-body": string;
        "--other-method-divider-color-text": string;
        "--other-method-divider-color-line": string;
        "--tooltip-overlay-line-height-text-heading": string;
        "--tooltip-overlay-line-height-text-body": string;
        "--dcc-options-line-height-text-exchange-rate": string;
        "--hppfooter-desktop": string;
        "--hppfooter-tablet": string;
        "--hppfooter-mobile": string;
        "--dropin-ui-button-primary-icon": string;
        "--dropInUI-orderSummary-itemMerchant-fontFamily": string;
        "--dropInUI-orderSummary-itemMerchant-font-size-text": string;
        "--dropInUI-orderSummary-itemMerchant-font-weight-text": string | undefined;
        "--dropInUI-orderSummary-itemMerchant-line-height": string;
        "--dropInUI-orderSummary-itemOrderID-font-size-text": string;
        "--dropInUI-orderSummary-itemOrderID-font-weight-text": string;
        "--payWithBank-label-fontFamily": string;
        "--payWithBank-size-text-label": string;
        "--payWithBank-font-weight-text-label": string;
        "--payWithBank-color-label": string;
        "--payWithBank-button-color-icon-redirect-default": string;
        "--payWithBank-button-color-border-hover": string;
        "--payWithBank-button-weight-border-hover": string;
        "--payWithBank-button-weight-focus-indicator": string;
        "--payWithBank-button-color-background-default": string;
        "--payWithBank-button-color-background-hover": string;
        "--payWithBank-button-color-background-focus": string;
        "--payWithBank-button-color-background-pressed": string;
        "--payWithBank-button-border-radius": string;
        "--payWithBank-QRbutton-color-border-hover": string;
        "--payWithBank-QRbutton-weight-border-hover": string;
        "--payWithBank-QRbutton-weight-focus-indicator": string;
        "--payWithBank-QRbutton-color-background-default": string;
        "--payWithBank-QRbutton-color-background-hover": string;
    };
};
