declare const zh: {
    labels: {
        "card-cvv": string;
        "card-expiration": string;
        "card-holder-name": string;
        "card-number": string;
        submit: string;
    };
    values: {
        submit: string;
    };
    validationMessages: {
        CardNumber: {
            Required: string;
            CharactersLessThan12: string;
            NumberIsNotValid: string;
            NotAllowedCardType: string;
        };
        CardExpiration: {
            NotCompleted: string;
            YearNotValid: string;
            MonthNotValid: string;
            ExpiryDateNotValid: string;
        };
        CardCvv: {
            CodeIsNotValid: string;
            CodeIsLessThan3Digits: string;
            CodeMustBe3Digits: string;
            AmexCodeMustBe4Digits: string;
        };
        CardHolderName: {
            NotValidCardHolderName: string;
            CharactersMoreThan100: string;
        };
        CurrencyConversion: {
            Required: string;
        };
    };
    footer: {
        "ssl-msg-alt": string;
        "ssl-msg": string;
        "security-msg-alt": string;
        "security-msg": string;
    };
    tooltip: {
        title: string;
        "aria-label": string;
        text: string;
    };
    "other-cards-label": string;
    QR: {
        button: {
            text: string;
            "aria-label": string;
        };
        loading: string;
        redirectScreen: {
            redirectingToPaymentPageMessage: string;
        };
        scanRqCode: string;
        payInApp: string;
        amount: {
            "aria-label": string;
        };
        qrImage: {
            alt: string;
            "aria-label": string;
        };
        timer: {
            text: string;
            minutes: string;
            seconds: string;
            "icon-alt": string;
        };
        expiredScreen: {
            title: string;
            alt: string;
            text: string;
        };
    };
    apms: {
        button: {
            getAriaLabel: (paymentMethod: string) => string;
        };
    };
    bankSelection: {
        pleaseSelectYourPreferredBank: string;
    };
};
export default zh;
